watye
watye
  • 发布:2016-03-16 16:20
  • 更新:2019-11-19 17:26
  • 阅读:4418

【报Bug】滚动和下拉刷新冲突,使用下拉刷新就不能滚动了。

分类:MUI

配置了down,就不能滚动了

2016-03-16 16:20 负责人:无 分享
已邀请:
DCloud_UNI_FXY

DCloud_UNI_FXY

在父页面加上下列样式

.mui-plus-pullrefresh .mui-scroll {  
                position: absolute;  
                width: 100%;  
            }
l***@sina.com

l***@sina.com

.mui-scroll-wrapper .mui-scroll{
width: 544px !important;
}
把这个指定固定的宽度就可以了,如:你的width是500就指定500px,注意,要强制 !important
试了100%是不行的,还是不兼容
当然,应该是可以动态指定的

DCloud_UNI_FXY

DCloud_UNI_FXY

发测试工程

  • ypf

    列表中是否含有mui-scroll-wrapper类,如果有,去掉就好了。这是个bug,之前都好好的,不知道为什么现在不能用了。

    2016-03-16 16:42

  • watye (作者)

    列表中没有mui-scroll-wrapper类,已经上传了测试工作,请帮忙看下。

    2016-03-16 17:14

  • 3***@qq.com

    回复 watye:这个冲突的问题解决了吗请问,麻烦分享下是怎么解决的,我现在就遇到这个问题了

    2019-03-06 16:56

watye

watye (作者)

附件为测试工程,请查看。

pages\main\tab-index.html

该页面配置了
down: {
callback: pulldownRefresh
}

导致main.html页面的头部分类不能滚动。

lee911

lee911

确实有这个问题,同问

lee911

lee911

挺不错,这么快就解决了,赞一个

watye

watye (作者)

那样确实解决了,真是很有效率。自己琢磨了很久都没能解决,感谢!

王彦坡

王彦坡

自己琢磨了很久没弄好。结果只需要这一点代码就可以了。唉,博大精深啊~

a***@qq.com

a***@qq.com

很好解决了我的问题

9***@qq.com

9***@qq.com

您好 请问最终是怎么解决这个问题的?困扰我好长时间了。

该问题目前已经被锁定, 无法添加新回复